# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           gds2pov
Version:        0.20080229
Release:        alt1_7
Summary:        GDS2 layout file to POV-Ray conversion

Group:          Engineering
License:        GPLv2
URL:            http://www.atchoo.org/gds2pov/
Source0:        http://www.atchoo.org/gds2pov/files/gdsto3d-20080229.tar.bz2


BuildRequires:  libX11-devel libGLU-devel ctest cmake
Source44: import.info


%description
GDS2POV is a program to take a GDS2 layout file
and output a POV-Ray scene description file of
the GDS2 data. This allows the creation of
attractive 3D pictures of a layout.

GDS2POV is mostly used by VLSI designers.


%package devel
Summary:         Development files for the GDS2POV
Group:           Development/C
Requires:        %{name} = %{version}-%{release}


%description devel
Development files for GDS2POV


%prep
%setup -q -n gdsto3d-20080229

%build
cd build

%{fedora_cmake} ..
%{__make} %{?_smp_mflags} VERBOSE=1


%install
cd build
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}

%{__rm} -rf %{buildroot}%{_datadir}/gdsto3d/

%files
%doc AUTHORS COPYING todo.txt readme.txt changes.txt
%doc example_config.txt example.gds example_process.txt example.cmd
%{_bindir}/%{name}
%{_bindir}/gds2svg
%{_bindir}/gdsoglviewer
%{_libdir}/libgdsto3d.so.*


%files devel
%{_libdir}/libgdsto3d.so


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.20080229-alt1_7
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.20080229-alt1_6
- initial fc import

